Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_VersionSeries

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_VersionSeries

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieVersionSeries

public class S_VersionSeries
extends S_TiePublicObject

Server side representation of the VERSIONSERIES class.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Setup appropriate system attributes prior to creating this series.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Setup appropriate system attributes prior to updating this series.
`S_VersionDescription[]` | `getVersionDescriptions()` Gets server side representation of all version descriptions in this series.
`S_VersionDescription` | `newRevision(S_LibraryObjectDefinition vddef)` Add a new version in the series.
`void` | `reserveNext(java.lang.String contentPath, java.lang.String comment)` Reserves the right to create a new version in the series.
`void` | `unReserve()` Removes the reservation on this version series.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, extendedPreFree, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Setup appropriate system attributes prior to creating this series.
  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Setup appropriate system attributes prior to updating this series.
  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if the operation fails

### newRevision

    public S_VersionDescription newRevision(S_LibraryObjectDefinition vddef)
                                     throws IfsException

  Add a new version in the series.

  Adding new version will work only if the user requesting this operation holds a reservation on the version series. Unlocks the FAMILY and VERSIONSERIES. Soft locks the most recent VERSIONDESCRIPTION and PUBLICOBJECT corresponding to it. Changes the default version if needed.

  Parameters:
    `def` - New public object definition to be created as the new version
  Throws:
    `IfsException` - if operation fails

### reserveNext

    public void reserveNext(java.lang.String contentPath,
                            java.lang.String comment)
                     throws IfsException

  Reserves the right to create a new version in the series.
  Parameters:
    `contentPath` - for reference purposes only
    `comment` - reservation comment
  Throws:
    `IfsException` - if operation fails

### unReserve

    public void unReserve()
                   throws IfsException

  Removes the reservation on this version series.
  Throws:
    `IfsException` - if operation fails

### getVersionDescriptions

    public S_VersionDescription[] getVersionDescriptions()
                                                  throws IfsException

  Gets server side representation of all version descriptions in this series.
  Overrides:
    `getVersionDescriptions` in class `S_PublicObject`
  Returns:
    array of S_VersionDescription
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD